Upgrade grep version 2.7 to 2.9 on the vendor branch
drwxr-xr-x - contrib